
#!/bin/bash

function resolve {  
  virsh domifaddr ci_${VM_PREFIX}_$1 | grep ipv4 | awk '{print $4}' | cut -d/ -f1
} 

cat << __EOF__

manager ansible_user='vagrant' ansible_ssh_private_key_file='.vagrant/machines/${VM_PREFIX}_manager/libvirt/private_key' ansible_host='$(resolve manager)' ansible_python_interpreter='${TARGET_PYTHON}'
compute1 ansible_user='vagrant' ansible_ssh_private_key_file='.vagrant/machines/${VM_PREFIX}_compute1/libvirt/private_key' ansible_host='$(resolve compute1)' ansible_python_interpreter='${TARGET_PYTHON}'
compute2 ansible_user='vagrant' ansible_ssh_private_key_file='.vagrant/machines/${VM_PREFIX}_compute2/libvirt/private_key' ansible_host='$(resolve compute2)' ansible_python_interpreter='${TARGET_PYTHON}'

[management]
manager

[computing]
compute[1:2]

[computing_exit_bridge]
compute[1:2]

[guest_net]
manager
compute[1:2]

[mgmt_net]
manager
compute[1:2]

__EOF__
