#!/bin/bash

function resolve {  
  ${SSH} ${TEST_HOST} sudo virsh domifaddr ci_${VM_PREFIX}_$1 2> /dev/null | grep ipv4 | awk '{print $4}' | cut -d/ -f1 
} 

function start {
  echo Starting $1
  ${SSH} ${TEST_HOST} sudo virsh start ci_${VM_PREFIX}_$1 2> /dev/null || echo $1 already running 
  echo ""
}

if [ $# -eq 0 ]
  then
    echo "CLOUD_ID Required"
    exit 1
fi

export CLOUD_ID=${1}
ENV=${2:-vtk2}
TEST_HOST=${3:-kubis}
VM_PREFIX=${CLOUD_ID}
SSH="$ENV ssh"

ssh-add ../ci/test_id_rsa

echo STARTING CLUSTER...
start manager  
start compute1
start compute2

sleep 5
echo CLUSTER ADDRESSING...
MANAGER_IP=$(resolve manager)
COMPUTE1_IP=$(resolve compute1)
COMPUTE2_IP=$(resolve compute2)

echo Manager running at ${MANAGER_IP}
echo Compute1 running at ${COMPUTE1_IP}
echo Compute2 running at ${COMPUTE2_IP}

ssh-keygen -R "[localhost]:9022"

authbind ${SSH} ${TEST_HOST} -L 9022:${MANAGER_IP}:22 -L 9023:${COMPUTE1_IP}:22 -L 9024:${COMPUTE2_IP}:22 -L 443:${MANAGER_IP}:443 -L 80:${MANAGER_IP}:80 
